#Elephant
database.url=jdbc:postgresql://SMUaVwns1Jy3Zi1y7gp7PwxCPoIZB7u@rogue.db.elephantsql.com:5432/pngkdcdw
database.schema=pngkdcdw
database.user=pngkdcdw
database.password=hSMUaVwns1Jy3Zi1y7gp7PwxCPoIZB7u
databse.driver=org.postgresql.Driver
databse.dialect=org.hibernate.dialect.PostgreSQLDialect

#JPA / Hibernate
spring.jpa.database=POSTGRESQL
spring.jpa.properties.hibernate.dialect=${database.dialect}
spring.jpa.database-platform=${database.dialect}
spring.jpa.hibernate.ddl-auto=create
#spring.jpa.properties.hibernate.temp.use_jdbc_metadata_defaults=false

#Heroku postgres datasource
spring.datasource.url=${database.url}
spring.datasource.username=${database.username}
spring.datasource.password=${database.password}
spring.datasource.driverClassName=${database.driver}
#spring.datasource.dataSourceClassName=org.postgresql.ds.PGSimpleDataSource

#Heroku postgres flyway datasource
spring.flyway.url=${database.url}
spring.flyway.user=${database.username}
spring.flyway.password=${database.password}
spring.flyway.schemas=${database.schema}
spring.flyway.driver-class-name=${database.driver}
spring.flyway.locations=classpath:db/migration
spring.flyway.baseline-on-migrate = true
